FreeMat

- Main Page
- Related Pages

vtkOpenGLHardwareSupport

Section: Visualization Toolkit Rendering Classes

# Usage

vtkOpenGLHardwareSupport is an implementation of methods used to query OpenGL and the hardware of what kind of graphics support is available. When VTK supports more than one Graphics API an abstract super class vtkHardwareSupport should be implemented for this class to derive from.

To create an instance of class vtkOpenGLHardwareSupport, simply invoke its constructor as follows

      obj = vtkOpenGLHardwareSupport

# Methods

The class vtkOpenGLHardwareSupport has several methods that can be used. They are listed below. Note that the documentation is translated automatically from the VTK sources, and may not be completely intelligible. When in doubt, consult the VTK website. In the methods listed below, `obj` is an instance of the vtkOpenGLHardwareSupport class.

- `string = obj.GetClassName ()`
- `int = obj.IsA (string name)`
- `vtkOpenGLHardwareSupport = obj.NewInstance ()`
- `vtkOpenGLHardwareSupport = obj.SafeDownCast (vtkObject o)`
- `int = obj.GetNumberOfFixedTextureUnits ()` - Return the number of fixed-function texture units.
- `int = obj.GetNumberOfTextureUnits ()` - Return the total number of texture image units accessible by a shader program.
- `bool = obj.GetSupportsMultiTexturing ()` - Test if MultiTexturing is supported.
- `vtkOpenGLExtensionManager = obj.GetExtensionManager ()` - Set/Get a reference to a vtkRenderWindow which is Required for most methods of this class to work.
- `obj.SetExtensionManager (vtkOpenGLExtensionManager extensionManager)` - Set/Get a reference to a vtkRenderWindow which is Required for most methods of this class to work.